﻿using System.Collections.Generic;
using System.Linq;
using LinqToDB.Configuration;

namespace UserService.DatabaseLayer.DataModels
{
    public class UserDbSettings : ILinqToDBSettings
    {
        public IEnumerable<IDataProviderSettings> DataProviders => Enumerable.Empty<IDataProviderSettings>();

        public string DefaultConfiguration => "MySqlServer";
        public string DefaultDataProvider => "MySqlServer";

        public IEnumerable<IConnectionStringSettings> ConnectionStrings
        {
            get
            {
                yield return new ConnectionStringSettings();
            }
        }
    }
}