﻿using System.ComponentModel.DataAnnotations;

namespace UserService.Infrastructure.DataModels
{
    public class User : Member
    {
        public string? FirstName { get; set; }
        public string? LastName { get; set; }
        public bool IsActive { get; set; }
        
        [EmailAddress]
        public string? EMail { get; set; }
        
        public string FullName => $"{FirstName} {LastName}";
    }
}